Unit tsf38r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF38R_p;

function tsf38r: String;

implementation

function tsf38r: String;
var
IERR :Integer;
P,A,B,Y :Real;
begin
Result := '';  {   }
P := 0.7451499080;
A := 5.5;
B := 0.5;
Y  := SF38R(P,A,B,IERR);
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%20.16f ',[P]);
Result := Result + Format('%s',['   A=']);
Result := Result + Format('%20.16f ',[A]);
Result := Result + Format('%s',['   B=']);
Result := Result + Format('%20.16f ',[B]);
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['   SF38R=']);
Result := Result + Format('%20.16f ',[Y]) + #$0D#$0A;
UtRes('tsf38r',Result);  {     tsf38r.res }
exit;
end;

end.
